## com.bbn.openmap.event
Class CenterEvent

    java.lang.Object
      java.util.EventObject
          com.bbn.openmap.event.CenterEvent

All Implemented Interfaces:
  java.io.Serializable

public class CenterEvent
extends java.util.EventObject

An event to request the map should recenter to a new latitude and longitude.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`CenterEvent(java.lang.Object source, float lat, float lon)` Construct a CenterEvent.

Method Summary
`float` `getLatitude()` Get the latitude of the center.
`float` `getLongitude()` Get the latitude of the center.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CenterEvent

    public CenterEvent(java.lang.Object source,
                       float lat,
                       float lon)

  Construct a CenterEvent.

Parameters:
  `source` - the source bean
  `lat` - float latitude in decimal degrees
  `lon` - float longitude in decimal degrees

Method Detail

### getLatitude

    public float getLatitude()

  Get the latitude of the center.

  Returns:
    float latitude in decimal degrees

### getLongitude

    public float getLongitude()

  Get the latitude of the center.

  Returns:
    float latitude in decimal degrees

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details